# Generated by Django 5.1.5 on 2024-01-01 00:00:00

import uuid
from datetime import timedelta

import django.contrib.contenttypes.fields
import django.contrib.contenttypes.models
import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
    ]

    operations = [
        migrations.CreateModel(
            name="SimpleModel",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=100)),
                ("is_active", models.BooleanField(default=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name="ComplexModel",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("char_field", models.CharField(default="Default", max_length=100)),
                ("text_field", models.TextField(default="Long text content")),
                ("integer_field", models.IntegerField(default=42)),
                ("positive_integer_field", models.PositiveIntegerField(default=100)),
                ("small_integer_field", models.SmallIntegerField(default=10)),
                ("positive_small_integer_field", models.PositiveSmallIntegerField(default=50)),
                ("big_integer_field", models.BigIntegerField(default=9223372036854775807)),
                ("decimal_field", models.DecimalField(decimal_places=2, default=99.99, max_digits=10)),
                ("float_field", models.FloatField(default=3.14159)),
                ("boolean_field", models.BooleanField(default=True)),
                ("null_boolean_field", models.BooleanField(blank=True, null=True)),
                ("date_field", models.DateField(auto_now_add=True)),
                ("time_field", models.TimeField(auto_now_add=True)),
                ("datetime_field", models.DateTimeField(auto_now_add=True)),
                ("duration_field", models.DurationField(default=timedelta(days=1))),
                ("file_field", models.FileField(blank=True, null=True, upload_to="test_files/")),
                ("image_field", models.ImageField(blank=True, null=True, upload_to="test_images/")),
                ("url_field", models.URLField(default="https://example.com")),
                ("email_field", models.EmailField(default="test@example.com", max_length=254)),
                ("json_field", models.JSONField(default=dict)),
                ("uuid_field", models.UUIDField(default=uuid.uuid4)),
                ("binary_field", models.BinaryField(default=b"binary_data")),
                ("slug_field", models.SlugField(default="test-slug")),
                ("ip_address_field", models.GenericIPAddressField(default="127.0.0.1")),
                ("ipv4_field", models.GenericIPAddressField(default="192.168.1.1", protocol="IPv4")),
                ("ipv6_field", models.GenericIPAddressField(default="::1", protocol="IPv6")),
                ("file_path_field", models.FilePathField(blank=True, null=True, path="/tmp")),
                (
                    "choices_field",
                    models.CharField(
                        choices=[("A", "Choice A"), ("B", "Choice B"), ("C", "Choice C")], default="A", max_length=1
                    ),
                ),
                ("nullable_char", models.CharField(blank=True, max_length=100, null=True)),
                ("nullable_int", models.IntegerField(blank=True, null=True)),
                ("nullable_date", models.DateField(blank=True, null=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name="ModelWithProperties",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("first_name", models.CharField(max_length=100)),
                ("last_name", models.CharField(max_length=100)),
                ("age", models.IntegerField()),
                ("is_active", models.BooleanField(default=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name="ModelWithSearchVector",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("title", models.CharField(max_length=200)),
                ("content", models.TextField()),
                ("search_vector", models.TextField(blank=True, editable=False)),
                ("is_published", models.BooleanField(default=False)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name="ModelWithCustomManager",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=100)),
                ("category", models.CharField(max_length=50)),
                ("is_featured", models.BooleanField(default=False)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
            options={
                "ordering": ["-created_at"],
            },
        ),
        migrations.CreateModel(
            name="PolymorphicParent",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=100)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name="ForeignKeyModel",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=100)),
                ("description", models.TextField(blank=True)),
                ("is_active", models.BooleanField(default=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "complex_foreign_key",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fk_models",
                        to="demo_app.complexmodel",
                    ),
                ),
                (
                    "nullable_foreign_key",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="nullable_fk_models",
                        to="demo_app.simplemodel",
                    ),
                ),
                (
                    "parent",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="children",
                        to="demo_app.foreignkeymodel",
                    ),
                ),
                (
                    "simple_foreign_key",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="fk_models", to="demo_app.simplemodel"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="PolymorphicChildA",
            fields=[
                (
                    "polymorphicparent_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="demo_app.polymorphicparent",
                    ),
                ),
                ("field_a", models.CharField(max_length=100)),
                ("is_special", models.BooleanField(default=False)),
            ],
            bases=("demo_app.polymorphicparent",),
        ),
        migrations.CreateModel(
            name="PolymorphicChildB",
            fields=[
                (
                    "polymorphicparent_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="demo_app.polymorphicparent",
                    ),
                ),
                ("field_b", models.IntegerField()),
                ("category", models.CharField(default="default", max_length=50)),
            ],
            bases=("demo_app.polymorphicparent",),
        ),
        migrations.AddField(
            model_name="foreignkeymodel",
            name="many_to_many",
            field=models.ManyToManyField(related_name="m2m_models", to="demo_app.simplemodel"),
        ),
        migrations.AddField(
            model_name="foreignkeymodel",
            name="one_to_one",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE, related_name="one_to_one_model", to="demo_app.simplemodel"
            ),
        ),
    ]
